:root {
    --bg-dark: #282c34;
    --bg-light: #2c313a;
    --text-primary: #abb2bf;
    --text-secondary: #5c6370;
    --accent: #61afef;
    --green: #98c379;
    --purple: #c678dd;
    --yellow: #e5c07b;
    --red: #e06c75;
    --orange: #e57036;
    --wht: #ffffff;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Typography */
h1,
h2,
h3 {
    font-weight: 500;
}

h1 {
    font-size: clamp(2rem, 5vw, 3rem);
    margin-bottom: 1rem;
}

h2 {
    font-size: clamp(1.5rem, 4vw, 2rem);
    margin-bottom: 2rem;
    color: var(--green);
}

h3 {
    font-size: 1.2rem;
    margin-bottom: 0.5rem;
    color: var(--accent);
}

p {
    margin-bottom: 1rem;
    font-size: 1rem;
}

a {
    color: var(--accent);
    text-decoration: none;
    transition: all 0.3s ease;
}

body {
    font-family: 'JetBrains Mono', monospace;
    line-height: 1.6;
    color: var(--text-primary);
    background: linear-gradient(135deg, var(--bg-dark) 0%, var(--bg-light) 100%);
    
    background-attachment: fixed;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 7rem 1fr 18rem;
    grid-template-areas:
        "nav "
        "main "
        "footer ";
}


/* Navigation */
nav {
    grid-area: nav;
    background-color: #2c313aab;
    padding: 1.5rem 0;
    position: sticky;
    margin-right: 1rem;
    top: 1rem;
    z-index: 1000;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    border-radius: 12px;
    backdrop-filter: blur(5px);
    border: 1px solid var(--bg-light);
}

nav .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-right: 2rem;
    padding-left: 2rem;

}

.logo a {
    font-weight: 700;
    color: var(--yellow);
    font-size: 2.2rem;
    
}

.logo a:hover {
    text-decoration: 1px underline;
    
}

.nav-links {
    display: flex;
    list-style: none;
    gap: 2rem;

}

.nav-links a {
    color: var(--text-primary);
    font-size: 0.9rem;
}

.nav-links a:hover {
    color: var(--accent);
    text-decoration: underline;
}

.nav-links a:active {
    color: var(--purple);
}

/* main */
section {
    margin-top: 7rem;
    background-color: var(--bg-light);
    border-radius: 12px;
    box-shadow: 1px solid var(--text-secondary);
    padding-left: 2rem;
    padding-right: 2rem;
    margin-left: 2rem;
    margin-right: 2rem;
    
}

section .container {
    display: inline;
}

.journey-milestones {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 2rem;
    margin: 2rem 0;
    /* height: 15rem; */
}

.milestone {
    background-color: var(--bg-dark);
    padding: 1.5rem;
    border-radius: 8px;
    border-left: 3px solid var(--purple);

}

.milestone h3 {
    color: var(--orange);
    margin-bottom: 0.5rem;
}


/* Sidebar */
/* aside {
    grid-area: sbar;
    background-color: var(--bg-light);
    margin: 1rem;
    
    border-radius: 12px;
    top: 1rem;
    position: sticky;
    height: 57.5rem;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    padding: 2rem;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1.5rem;
}

aside img {
    margin-top: 3rem;
    width: 15rem;
    height: 15rem;
    border-radius: 50%;
    object-fit: cover;
    border: 3px solid var(--primary-color);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
}

.sidebar-content h2 {
    margin: 0.5rem 0;
}

.sidebar-content h3 {
    margin: 0.3rem 0;
    font-weight: normal;
} */



/* Footer */
footer {
    grid-area: footer;
    padding: 3rem 0 1rem;
    padding-left: 2rem;
    padding-right: 2rem;
    margin-left: 2rem;
    margin-right: 2rem;
    margin-bottom: 1rem;
    background-color: var(--bg-light);
    border-radius: 12px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

footer h1 {
    font-size: 2rem;
    color: var(--green);
    padding-left: 2rem;
    margin-bottom: 1rem;
}

.footer-content {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 2rem;
    margin-bottom: 2rem;
}

.footer-logo {
    font-weight: 700;
    color: var(--yellow);
    font-size: 2.5rem;
    padding-left: 2rem;
}

.footer-links {
    display: flex;
    flex-direction: column;
    gap: 0.8rem;
    padding-right: 25rem;
}

.footer-links a {
    color: var(--text-primary);
    font-size: 1.2rem;
    transition: all 0.3s ease;
}

.footer-links a:hover {
    color: var(--accent);
    text-decoration: underline;
}

.footer-links a:active {
    color: var(--purple);
}

.footer-bottom {
    border-top: 1px solid var(--text-secondary);
    padding-top: 1.5rem;
    padding-left: 2rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    color: var(--text-secondary);
    font-size: 0.9rem;
}
